diff -pruN 6.0.2-1/debian/changelog 6.0.2-2/debian/changelog
--- 6.0.2-1/debian/changelog	2020-02-10 22:57:49.000000000 +0000
+++ 6.0.2-2/debian/changelog	2020-04-09 17:26:56.000000000 +0000
@@ -1,3 +1,12 @@
+code-saturne (6.0.2-2) unstable; urgency=medium
+
+  * Fix FTBFS with GCC-10 (closes: #957095)
+  * Patch gcc-10.patch from upstream
+  * Fix cspath in /usr/bin/code_saturne
+  * Drop build dependency on libxml2-dev
+
+ -- Gilles Filippini <pini@debian.org>  Thu, 09 Apr 2020 19:26:56 +0200
+
 code-saturne (6.0.2-1) unstable; urgency=medium
 
   * New upstream release
diff -pruN 6.0.2-1/debian/control 6.0.2-2/debian/control
--- 6.0.2-1/debian/control	2019-10-15 19:13:53.000000000 +0000
+++ 6.0.2-2/debian/control	2020-04-09 17:24:11.000000000 +0000
@@ -9,7 +9,7 @@ Build-Depends: debhelper (>= 11), dh-exe
   bison, flex,
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
-  libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
+  libblas-dev | libatlas-dev, libopenmpi-dev,
   python3, libscotch-dev, tango-icon-theme
 Build-Depends-Indep: doxygen, graphviz, fig2ps, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
 Standards-Version: 4.3.0
diff -pruN 6.0.2-1/debian/patches/gcc-10.patch 6.0.2-2/debian/patches/gcc-10.patch
--- 6.0.2-1/debian/patches/gcc-10.patch	1970-01-01 00:00:00.000000000 +0000
+++ 6.0.2-2/debian/patches/gcc-10.patch	2020-04-09 17:26:56.000000000 +0000
@@ -0,0 +1,155 @@
+Index: code-saturne-6.0.2/src/base/cs_c_bindings.f90
+===================================================================
+--- code-saturne-6.0.2.orig/src/base/cs_c_bindings.f90
++++ code-saturne-6.0.2/src/base/cs_c_bindings.f90
+@@ -3188,6 +3188,9 @@ contains
+     integer        :: hyd_p_flag
+     integer        :: idimtr, ipond
+     type(c_ptr)    :: f
++    real(kind=c_double), dimension(:), pointer :: c_weight
++    real(kind=c_double), dimension(:), pointer :: f_ext
++    real(kind=c_double), dimension(1), target :: rvoid1
+ 
+     ! Preparation for periodicity of rotation
+ 
+@@ -3218,11 +3221,14 @@ contains
+ 
+     hyd_p_flag = 0
+     ipond = 0
++    rvoid1(1) = 0
++    f_ext => rvoid1
++    c_weight => rvoid1
+ 
+     call cgdcel(f_id, imrgra, inc, recompute_cocg, nswrgp,                     &
+                 idimtr, hyd_p_flag, ipond, iwarnp, imligp, epsrgp, extrap,     &
+-                climgp, c_null_ptr, coefap, coefbp,                            &
+-                pvar, c_null_ptr, grad)
++                climgp, f_ext, coefap, coefbp,                            &
++                pvar, c_weight, grad)
+ 
+   end subroutine gradient_s
+ 
+@@ -3269,13 +3275,15 @@ contains
+     double precision, intent(in) :: epsrgp, climgp, extrap
+     real(kind=c_double), dimension(nfabor), intent(in) :: coefap, coefbp
+     real(kind=c_double), dimension(ncelet), intent(inout) :: pvar
+-    real(kind=c_double), dimension(3, *), intent(in) :: f_ext
++    real(kind=c_double), dimension(:,:), pointer, intent(in) :: f_ext
+     real(kind=c_double), dimension(3, ncelet), intent(out) :: grad
+ 
+     ! Local variables
+ 
+     integer          :: imrgrp
+     integer          :: idimtr, ipond
++    real(kind=c_double), dimension(:), pointer :: c_weight
++    real(kind=c_double), dimension(1), target :: rvoid1
+ 
+     ! Use iterative gradient
+ 
+@@ -3289,11 +3297,13 @@ contains
+ 
+     idimtr = 0
+     ipond = 0
++    rvoid1(1) = 0
++    c_weight => rvoid1
+ 
+     call cgdcel(f_id, imrgrp, inc, recompute_cocg, nswrgp,                     &
+                 idimtr, hyd_p_flag, ipond, iwarnp, imligp, epsrgp, extrap,     &
+                 climgp, f_ext, coefap, coefbp,                                 &
+-                pvar, c_null_ptr, grad)
++                pvar, c_weight, grad)
+ 
+   end subroutine gradient_potential_s
+ 
+@@ -3342,8 +3352,8 @@ contains
+     double precision, intent(in) :: epsrgp, climgp, extrap
+     real(kind=c_double), dimension(nfabor), intent(in) :: coefap, coefbp
+     real(kind=c_double), dimension(ncelet), intent(inout) :: pvar
+-    real(kind=c_double), dimension(*), intent(in) :: c_weight
+-    real(kind=c_double), dimension(3, *), intent(in) :: f_ext
++    real(kind=c_double), dimension(:), intent(in) :: c_weight
++    real(kind=c_double), dimension(:,:), pointer, intent(in) :: f_ext
+     real(kind=c_double), dimension(3, ncelet), intent(out) :: grad
+ 
+     ! Local variables
+Index: code-saturne-6.0.2/src/base/prehyd.f90
+===================================================================
+--- code-saturne-6.0.2.orig/src/base/prehyd.f90
++++ code-saturne-6.0.2/src/base/prehyd.f90
+@@ -125,6 +125,9 @@ double precision normp
+ 
+ double precision rvoid(1)
+ 
++real(kind=c_double), dimension(:,:), pointer :: pvoid2
++real(kind=c_double), dimension(1,1), target :: rvoid2
++
+ double precision, allocatable, dimension(:) :: coefap, cofafp, coefbp, cofbfp
+ 
+ double precision, allocatable, dimension(:) :: viscf, viscb
+@@ -169,6 +172,9 @@ endif
+ ! --- Matrix block size
+ ibsize = 1
+ 
++! Void arrays
++pvoid2 => rvoid2
++
+ !===============================================================================
+ ! 2. Solving a diffusion equation with source term to obtain
+ !    the a priori hydrostatic pressure
+@@ -290,7 +296,7 @@ hyd_p_flag = 0
+ call gradient_weighted_s &
+  ( f_id   , imrgra , inc    , iccocg , nswrgp , imligp ,         &
+    hyd_p_flag,                                                   &
+-   iwarnp , epsrgp , climgp , extrap , rvoid  ,                  &
++   iwarnp , epsrgp , climgp , extrap , pvoid2  ,                 &
+    prhyd  , xinvro , coefap , coefbp ,                           &
+    grdphd   )
+ 
+Index: code-saturne-6.0.2/src/base/ptrglo.f90
+===================================================================
+--- code-saturne-6.0.2.orig/src/base/ptrglo.f90
++++ code-saturne-6.0.2/src/base/ptrglo.f90
+@@ -102,7 +102,7 @@ contains
+     deallocate(buffer)
+ 
+     do ii = 1, size
+-      call synsca (array(1,ii))
++      call synsca (array(:,ii))
+       !==========
+     enddo
+ 
+@@ -143,7 +143,7 @@ contains
+     enddo
+     deallocate(buffer)
+ 
+-    call synvec (array(1,1), array(1,2), array(1,3))
++    call synvec (array(:,1), array(:,2), array(:,3))
+     !==========
+ 
+   end subroutine resize_vec_real_array_ni
+@@ -225,9 +225,9 @@ contains
+ 
+     call synten &
+     !==========
+-   ( array(1,1), array(1,2), array(1,3), &
+-     array(1,4), array(1,5), array(1,6), &
+-     array(1,7), array(1,8), array(1,9) )
++   ( array(:,1), array(:,2), array(:,3), &
++     array(:,4), array(:,5), array(:,6), &
++     array(:,7), array(:,8), array(:,9) )
+ 
+   end subroutine resize_tens_real_array_ni
+ 
+Index: code-saturne-6.0.2/src/cogz/sootsc.f90
+===================================================================
+--- code-saturne-6.0.2.orig/src/cogz/sootsc.f90
++++ code-saturne-6.0.2/src/cogz/sootsc.f90
+@@ -167,7 +167,7 @@ if (ivar.eq.isca(ifsm).or.ivar.eq.isca(i
+   d2s3 = 2.d0/3.d0
+ 
+   if (irangp.ge.0.or.iperio.eq.1) then
+-    call synsca(cpro_temp(1))
++    call synsca(cpro_temp)
+     call synsca(cvar_scal)
+   endif
+ 
diff -pruN 6.0.2-1/debian/patches/launcher.patch 6.0.2-2/debian/patches/launcher.patch
--- 6.0.2-1/debian/patches/launcher.patch	1970-01-01 00:00:00.000000000 +0000
+++ 6.0.2-2/debian/patches/launcher.patch	2020-04-09 17:23:32.000000000 +0000
@@ -0,0 +1,13 @@
+Index: code-saturne-6.0.2/bin/code_saturne.py.in
+===================================================================
+--- code-saturne-6.0.2.orig/bin/code_saturne.py.in
++++ code-saturne-6.0.2/bin/code_saturne.py.in
+@@ -31,7 +31,7 @@ import sys
+ #-------------------------------------------------------------------------------
+ 
+ # Store the installation path of Code_Saturne Python modules.
+-cspath = '@pkgpythondir@'
++cspath = '/usr/lib/python3/dist-packages/code_saturne'
+ 
+ # Store the information whether the installation is relocatable or not.
+ relocatable = '@relocatable@'
diff -pruN 6.0.2-1/debian/patches/series 6.0.2-2/debian/patches/series
--- 6.0.2-1/debian/patches/series	2020-02-10 15:12:42.000000000 +0000
+++ 6.0.2-2/debian/patches/series	2020-04-09 17:26:56.000000000 +0000
@@ -1,3 +1,5 @@
+gcc-10.patch
 no-rpath.patch
 source-date-in-pdf.patch
 pyrcc.patch
+launcher.patch
